/*
 Workshop Internet of Things
 Maker Faire Rome 2016
 15-16 ottobre
 STEP 1
 Acquisizione di un ingresso analogico e diagnostica sul canale seriale.
 Il loop di programma acquisisce ripetutamente il valore analogico
 dell'ingresso A0 a cui è collegato un potenziometro.
 Nella configurazione a 5 Volt dell'Intel Edison Kit for Arduino+Grove
 il potenziometro ruotando varia il suo valore tra 0 e 5 Volt.
 La conversione analogica a 10 bit determina un valore digitale
 compreso tra 0 e 1023 con una risoluzione di 4,88 mV/bit.
 Il valore è proporzionale all'angolo di rotazione del potenziometro (+/- 150°)
 Il valore letto viene inviato sul canale seriale per diagnostica.
 Un ritardo di 250 mSec viene inserito per facilitare la visualizzazione.
 Si possono visualizzare i valori sia nella finestra Monitor seriale (rappresentazione testuale)
 sia nella finestra Plotter seriale (rappresentazione grafica).
 
 Hardware:
 * Intel Edison con Edison Kit for Arduino 
 * Grove Starter Kit IoT Edition
 * Grove Rotary Angle sensor (Potenziometro) 
  
 creato: 05/09/2016
 da Duilio Peroni
 
 http://www.schoolmakerday.it/iot
 Questo codice è di pubblico dominio
 */

//variabili
int valoreAnalogico;

//costanti
const int pinSensore = A0;   //definizione del pin di ingresso analogico

// Funzione setup
//  Inizializza il canale seriale 
//  alla velocità di default (9600 bit/s)
void setup() {
  Serial.begin(9600);
}

// Funzione loop
//  viene ripetutamente letto il valore analogico del canale A0
//  ed il risultato viene inviato sul canale seriale per diagnostica
//  un ritardo di 250 mSec facilita la lettura del monitor
void loop() {
  valoreAnalogico=analogRead(pinSensore);   //legge ingresso analogico
  Serial.println(valoreAnalogico);          //invia per diagnostica
  delay(250);                               //attende 
}
